Get current user
curl --request GET \
--url https://api.affinity.co/v2/auth/whoami \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.affinity.co/v2/auth/whoami"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.affinity.co/v2/auth/whoami', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"grant": {
"createdAt": "2023-01-01T00:00:00Z",
"scopes": [
"api"
],
"type": "api-key"
},
"user": {
"firstName": "John",
"lastName": "Smith",
"emailAddress": "john.smith@contoso.com",
"id": 1
},
"tenant": {
"name": "Contoso Ltd.",
"subdomain": "contoso",
"id": 1
}
}{
"errors": [
{
"code": "not-found",
"message": "<string>"
}
]
}{
"errors": [
{
"code": "authentication",
"message": "<string>"
}
]
}Auth
Get current user
Returns information about the authenticated user, their current organization, and API key permissions. Use this endpoint to verify your authentication and understand your available API access levels.
GET
/
v2
/
auth
/
whoami
Get current user
Was this page helpful?